Skip to main content
`Ctrl`+`K`

# PetscDSSetExactSolutionTimeDerivative

Set the pointwise time derivative of the exact solution function for a given test field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetExactSolutionTimeDerivative(PetscDS prob, PetscInt f, PetscPointExactSolutionFn *sol, void *ctx)

Not Collective

## Input Parameters

- prob - The `PetscDS`

- f - The test field number

- sol - time derivative of the solution function for the test fields, see `PetscPointExactSolutionFn`

- ctx - the solution context or `NULL`

## See Also

`PetscDS`, `PetscPointExactSolutionFn`, `PetscDSGetExactSolutionTimeDerivative()`, `PetscDSSetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex76.c
src/ts/tutorials/ex45.c
src/ts/tutorials/ex77.c
src/ts/tutorials/ex53.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages